1. Уважаемые пользователи, прежде чем ответить в теме или создать новую,
    внимательно ознакомьтесь с правилами раздела

    Кому лень работать или руки не оттуда - пользуйтесь услугами специалистов
  2. Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.."

    Есть JED!!! Ищите там!!!

Virtuemart и старая версия MySQL

Тема в разделе "Virtuemart", создана пользователем ivdic, 30 янв 2020.

Информация :
  • Уважаемые пользователи, прежде чем ответить в теме или создать новую, внимательно ознакомьтесь с правилами раздела
  • Не задавайте глупых вопросов "Посоветуйте какой-нибудь компонент.." Есть JED!!! Ищите там!!!
  • Аналоги ищите там же - на JED!!!
  • Новая версия? - У кого будет - тот выложит!
  1. ivdic

    ivdic Постоялец

    Регистр.:
    17 апр 2008
    Сообщения:
    73
    Симпатии:
    10
    Столкнулся с такой ситуацией. Обновил VirtueMart до версии 3.2.3 (и это не самая последняя 3.6)
    Потребовалось внести изменения в настройки - прописал другое мыло и при сохранении вылетела ошибка:
    1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'КРОН"" AND `virtuemart_vendor_id`!=1' at line 1

    Т.е. установленная на хостинге MySQL не поддерживает новый синтаксис... при этом хостер пишет:
    Это значит, что синтаксис используемого вами SQL запроса некорректен или не соответствует используемой версии MySQL на сервере. Версию MySQL на виртуальном хостинге обновить нельзя, поэтому вам остается только скорректировать SQL запрос так, чтобы он отработал.

    Сами понимаете что каждый раз вносить изменения с помощью sql запроса неблагодарное дело..